﻿<Window
    x:Class="ControlTestingApp.MainWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:ControlTestingApp"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    xmlns:temperatureControl="clr-namespace:SecondMonitor.WindowsControls.WPF.TemperatureControl;assembly=WindowsControls"
    xmlns:viewModels="clr-namespace:ControlTestingApp.ViewModels"
    xmlns:controls="clr-namespace:ControlTestingApp.Controls"
    Title="MainWindow"
    Width="800"
    Height="450"
    mc:Ignorable="d">
    <Window.DataContext>
        <viewModels:MainTestWindowViewModel/>
    </Window.DataContext>
    <Grid Background="{StaticResource Anthracite01Brush}">
        <TabControl Background="{StaticResource Anthracite01Brush}">
            <TabItem Header="Sequence View">
                <controls:SequenceControlTestControl DataContext="{Binding SequenceViewTestViewModel}"/>
            </TabItem>
            <TabItem Header="Calendar View">
                <controls:CalendarTreeTestControl/>
            </TabItem>
            <TabItem Header="Status Icons">
                <controls:StatusIconTC/>
            </TabItem>
            <TabItem Header="Trophy">
                <ContentPresenter Content="{Binding TrophyViewModel}"></ContentPresenter>
            </TabItem>
            <!--<TabItem Header="Geometry Test">
                <controls:GeometryTestControl/>
            </TabItem>
            <TabItem Header="Fuel Calculator">
                <controls:FuelCalculatorTestControl/>
            </TabItem>
            <TabItem Header="Car Settings Control">
                <controls:CarSettingsTestControl/>
            </TabItem>
            <TabItem Header="Position Circle">
                <controls:PositionCircleTestControl/>
            </TabItem>
            <TabItem Header="PlayerPosition">
                <controls:PlayerPositionTestControl/>
            </TabItem>
            <TabItem Header="Temperature">
                <Grid Background="{StaticResource Anthracite05Brush}">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="*"></RowDefinition>
                        <RowDefinition Height="Auto"></RowDefinition>
                    </Grid.RowDefinitions>
                    <temperatureControl:TemperatureControl
                        Temperature="{Binding ValueInTemperature}"
                        MaximalTemperature="{Binding MaximumInTemperature}"
                        MinimalTemperature="{Binding MinimumInTemperature}"
                        TemperatureUnits="{Binding TemperatureUnits}"
                        Icon="{StaticResource WaterTemperatureIcon}"/>
                    <Grid Row="1">
                        <StackPanel Orientation="Horizontal">
                            <Slider Minimum="0" Maximum="150" Value="{Binding ValueInNumber}" MinWidth="100" ></Slider>
                            <Button Content="Change Units" Command="{Binding ChangeUnitCommand}"></Button>
                        </StackPanel>
                    </Grid>
                </Grid>
            </TabItem>
            <TabItem Header="Wheel Status">
                <controls:WheelStatusTestControl>
                </controls:WheelStatusTestControl>
            </TabItem>
            <TabItem Header="Fuel">
                <controls:TestFuelControl></controls:TestFuelControl>
                </TabItem>
            <TabItem Header="Pedals">
                <controls:PedalGearTestControl></controls:PedalGearTestControl>
            </TabItem>
            <TabItem Header="Track Info">
                <controls:TrackInfoTestControl></controls:TrackInfoTestControl>
            </TabItem>-->
        </TabControl>
    </Grid>
</Window>
